groovy.text.markup

## Class MarkupTemplateEngine.DefaultTemplateResolver

- java.lang.Object
- - groovy.text.markup.MarkupTemplateEngine.DefaultTemplateResolver

All Implemented Interfaces:
  TemplateResolver

Direct Known Subclasses:
  MarkupTemplateEngine.CachingTemplateResolver

Enclosing class:
  MarkupTemplateEngine

    public static class MarkupTemplateEngine.DefaultTemplateResolver
    extends java.lang.Object
    implements TemplateResolver

### Constructor Summary

Constructors
Constructor and Description
`DefaultTemplateResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(java.lang.ClassLoader templateClassLoader, TemplateConfiguration configuration)` This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.
`java.net.URL` `resolveTemplate(java.lang.String templatePath)` Resolvers must implement this method in order to resolve a template, given a template path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultTemplateResolver

    public DefaultTemplateResolver()

### Method Detail

#### configure

    public void configure(java.lang.ClassLoader templateClassLoader,
                          TemplateConfiguration configuration)

Description copied from interface: `TemplateResolver`
This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.

Specified by:
  `configure` in interface `TemplateResolver`
Parameters:
  `templateClassLoader` - the classloader where templates will be searched for
  `configuration` - the configuration of the template engine

#### resolveTemplate

    public java.net.URL resolveTemplate(java.lang.String templatePath)
                                 throws java.io.IOException

Description copied from interface: `TemplateResolver`
Resolvers must implement this method in order to resolve a template, given a template path. They must return a valid URL or an IOException.

Specified by:
  `resolveTemplate` in interface `TemplateResolver`
Parameters:
  `templatePath` - path to the template
Returns:
  the template URL, that will be used to load the template
Throws:
  `java.io.IOException`